<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ScriptedLightBase/SpotLightBase/CarLightBase/CarRearLightBase/OffroadHatchbackRearLight.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/de2/_offroad_hatchback_rear_light_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">OffroadHatchbackRearLight.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/de2/_offroad_hatchback_rear_light_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>OffroadHatchbackRearLight <span class="keyword">extends</span> <a class="code hl_class" href="../../d7/d94/class_car_rear_light_base.html">CarRearLightBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d7/d94/class_car_rear_light_base.html#aabb727c71e1b4f2ccc462bab5472ec15">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d94/class_car_rear_light_base.html#aabb727c71e1b4f2ccc462bab5472ec15">OffroadHatchbackRearLight</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="comment">// Brake light only</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        m_SegregatedBrakeBrightness = 1;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        m_SegregatedBrakeRadius = 6;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        m_SegregatedBrakeAngle = 180;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        m_SegregatedBrakeColorRGB = <a class="code hl_function" href="../../d5/dc8/group___math3_d_a_p_i.html#ga5bd1deb1c96276d94eeec6fe40955c41">Vector</a>(1, 0.05, 0.05);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="comment">// Reverse light only</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        m_SegregatedBrightness = 2;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        m_SegregatedRadius = 13;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        m_SegregatedAngle = 180;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        m_SegregatedColorRGB = <a class="code hl_function" href="../../d5/dc8/group___math3_d_a_p_i.html#ga5bd1deb1c96276d94eeec6fe40955c41">Vector</a>(1.0, 1.0, 1.0);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="comment">// Brake &amp; Revese lights combined</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        m_AggregatedBrightness = 2.5;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        m_AggregatedRadius = 15;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        m_AggregatedAngle = 180;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        m_AggregatedColorRGB = <a class="code hl_function" href="../../d5/dc8/group___math3_d_a_p_i.html#ga5bd1deb1c96276d94eeec6fe40955c41">Vector</a>(1.0, 0.5, 0.5);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        FadeIn(0.1);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        SetFadeOutTime(0.1);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        SetVisibleDuringDaylight(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        SetCastShadow(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        SetFlareVisible(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        SegregateLight();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>}</div>
<div class="ttc" id="aclass_car_rear_light_base_html"><div class="ttname"><a href="../../d7/d94/class_car_rear_light_base.html">CarRearLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d40/_civilian_sedan_rear_light_8c_source.html#l00001">CivilianSedanRearLight.c:2</a></div></div>
<div class="ttc" id="aclass_car_rear_light_base_html_aabb727c71e1b4f2ccc462bab5472ec15"><div class="ttname"><a href="../../d7/d94/class_car_rear_light_base.html#aabb727c71e1b4f2ccc462bab5472ec15">CarRearLightBase::OffroadHatchbackRearLight</a></div><div class="ttdeci">void OffroadHatchbackRearLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de2/_offroad_hatchback_rear_light_8c_source.html#l00003">OffroadHatchbackRearLight.c:3</a></div></div>
<div class="ttc" id="agroup___math3_d_a_p_i_html_ga5bd1deb1c96276d94eeec6fe40955c41"><div class="ttname"><a href="../../d5/dc8/group___math3_d_a_p_i.html#ga5bd1deb1c96276d94eeec6fe40955c41">Vector</a></div><div class="ttdeci">proto native vector Vector(float x, float y, float z)</div><div class="ttdoc">Vector constructor from components.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_50f518e75e7de83ddcd3aee1de3ffc98.html">ScriptedLightBase</a></li><li class="navelem"><a class="el" href="../../dir_efacce1be5d8a361a2620e7c010163d4.html">SpotLightBase</a></li><li class="navelem"><a class="el" href="../../dir_26500ae253241979d21a908cdcf9548a.html">CarLightBase</a></li><li class="navelem"><a class="el" href="../../dir_c4bdf5a437f3e4ae74f4331c3156319f.html">CarRearLightBase</a></li><li class="navelem"><a class="el" href="../../d7/de2/_offroad_hatchback_rear_light_8c.html">OffroadHatchbackRearLight.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
